org.bouncycastle.asn1

## Class DERGeneralString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.ASN1Object
      - - org.bouncycastle.asn1.DERGeneralString

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

    public class DERGeneralString
    extends ASN1Object
    implements DERString

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`DERGeneralString(byte[] string)`
`DERGeneralString(java.lang.String string)`

### Method Summary

Methods
`static DERGeneralString` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DERGeneralString` `getInstance(java.lang.Object obj)`
`byte[]` `getOctets()`
`java.lang.String` `getString()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DERGeneralString

    public DERGeneralString(byte[] string)

#### DERGeneralString

    public DERGeneralString(java.lang.String string)

### Method Detail

#### getInstance

    public static DERGeneralString getInstance(java.lang.Object obj)

#### getInstance

    public static DERGeneralString getInstance(ASN1TaggedObject obj,
                               boolean explicit)

#### getString

    public java.lang.String getString()

Specified by:
  `getString` in interface `DERString`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getOctets

    public byte[] getOctets()

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ASN1Object`